# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name			sendEmail
%define version		1.56
%define release		%mkrel 2


Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		A lightweight, command line based SMTP email agent.
URL:			http://caspian.dotconf.net/menu/Software/SendEmail/
Group:			Networking/Mail
License:		GPL v3
Source:			%{name}-v%{version}.tar.xz
Requires:		perl
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
SendEmail is a lightweight, completly command line based, SMTP email agent.
If you have the need to send email from the command line, this tool is perfect.
It was designed to be used in bash scripts, Perl programs, and web sites, but
it is also quite useful in many other contexts.  SendEmail is written in Perl 
and is unique in that it requires NO SPECIAL MODULES. It has an intuitive and
flexible set of command-line options, making it very easy to learn and use.

%prep
%setup -qn %{name}-v%{version}

%install
%__rm -rf %buildroot

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 -p CHANGELOG README README-BR.txt TODO $RPM_BUILD_ROOT%{_datadir}/%{name}/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -Dm 755 sendEmail $RPM_BUILD_ROOT%{_bindir}

%post
/sbin/ldconfig
chmod +x %{_bindir}/%{name}

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/%{name}
%{_bindir}/%{name}

%changelog
* Sat May 18 2013 Texstar <texstar at gmail.com> 1.56-2pclos2013
- fix rpmgroup

* Mon Jun 04 2012 Neal <nealbrks0 at gmail dot com> 1.56-1pclos2012
- process

* Mon Jun 04 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.56-1_archie_2012
- Create package
